Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/file.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/file.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/file.f90	(revision 10251)
@@ -137,7 +137,6 @@
 !> J.Paul
 ! REVISION HISTORY:
-!> @date November, 2013 - Initial Version
-!> @date November, 2014 
-!> - Fix memory leaks bug
+!> @date November, 2013- Initial Version
+!> @date November, 2014 - Fix memory leaks bug
 !>
 !> @note Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -289,7 +288,7 @@
    !>   
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date November, 2014
-   !> - use function instead of overload assignment operator 
+   !>    - use function instead of overload assignment operator 
    !> (to avoid memory leak)
    !
@@ -410,7 +409,7 @@
    !>   
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date November, 2014
-   !> - use function instead of overload assignment operator 
+   !>    - use function instead of overload assignment operator 
    !> (to avoid memory leak)
    !
@@ -449,5 +448,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_file   file name
@@ -554,5 +553,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_file   file name
@@ -590,5 +589,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -605,7 +604,6 @@
       CHARACTER(LEN=lc) :: cl_dim
       LOGICAL           :: ll_error
-      LOGICAL           :: ll_warn 
-
-      INTEGER(i4)       :: il_ind
+
+      INTEGER(i4) :: il_ind
 
       ! loop indices
@@ -616,5 +614,4 @@
       ! check used dimension 
       ll_error=.FALSE.
-      ll_warn=.FALSE.
       DO ji=1,ip_maxdim
          il_ind=dim_get_index( td_file%t_dim(:), &
@@ -622,18 +619,21 @@
          &                     TRIM(td_var%t_dim(ji)%c_sname))
          IF( il_ind /= 0 )THEN
-            IF( td_var%t_dim(ji)%l_use  .AND. &
-            &   td_file%t_dim(il_ind)%l_use .AND. &
-            &   td_var%t_dim(ji)%i_len /= td_file%t_dim(il_ind)%i_len )THEN
-               IF( INDEX( TRIM(td_var%c_axis), &
-               &          TRIM(fct_upper(td_var%t_dim(ji)%c_name))) == 0 )THEN
-                  ll_warn=.TRUE.
-               ELSE
-                  ll_error=.TRUE.
-               ENDIF
-            ENDIF
+         IF( td_var%t_dim(ji)%l_use  .AND. &
+         &   td_file%t_dim(il_ind)%l_use .AND. &
+         &   td_var%t_dim(ji)%i_len /= td_file%t_dim(il_ind)%i_len )THEN
+            ll_error=.TRUE.
+         ENDIF
          ENDIF
       ENDDO
 
       IF( ll_error )THEN
+
+         file_check_var_dim=.FALSE.
+
+         CALL logger_error( &
+         &  " FILE CHECK VAR DIM: variable and file dimension differ"//&
+         &  " for variable "//TRIM(td_var%c_name)//&
+         &  " and file "//TRIM(td_file%c_name))
+
 
          cl_dim='(/'
@@ -659,17 +659,4 @@
          CALL logger_debug( " variable dimension: "//TRIM(cl_dim) )
 
-         file_check_var_dim=.FALSE.
-
-         CALL logger_error( &
-         &  " FILE CHECK VAR DIM: variable and file dimension differ"//&
-         &  " for variable "//TRIM(td_var%c_name)//&
-         &  " and file "//TRIM(td_file%c_name))
-
-      ELSEIF( ll_warn )THEN
-         CALL logger_warn( &
-         &  " FILE CHECK VAR DIM: variable and file dimension differ"//&
-         &  " for variable "//TRIM(td_var%c_name)//&
-         &  " and file "//TRIM(td_file%c_name)//". you should use"//&
-         &  " var_check_dim to remove useless dimension.")
       ELSE
 
@@ -692,5 +679,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date September, 2014
    !> - add dimension to file if need be
@@ -720,7 +707,7 @@
       IF( TRIM(td_file%c_name) == '' )THEN
 
+         CALL logger_error( " FILE ADD VAR: structure file unknown" )
          CALL logger_debug( " FILE ADD VAR: you should have used file_init before "//&
          & "running file_add_var" )
-         CALL logger_error( " FILE ADD VAR: structure file unknown" )
 
       ELSE
@@ -736,6 +723,5 @@
                &                                       td_var%c_stdname )
             ENDIF
-            CALL logger_debug( &
-            &  " FILE ADD VAR: ind "//TRIM(fct_str(il_ind)) )
+
             IF( il_ind /= 0 )THEN
 
@@ -753,5 +739,5 @@
             ELSE
 
-               CALL logger_debug( &
+               CALL logger_trace( &
                &  " FILE ADD VAR: add variable "//TRIM(td_var%c_name)//&
                &  ", standard name "//TRIM(td_var%c_stdname)//&
@@ -784,4 +770,6 @@
                         !il_rec=td_file%t_dim(3)%i_len
                   END SELECT
+                  CALL logger_info( &
+                     &  " FILE ADD VAR: variable index "//TRIM(fct_str(il_ind)))
 
                   IF( td_file%i_nvar > 0 )THEN
@@ -818,5 +806,5 @@
                         ENDIF
 
-                        IF( il_ind < td_file%i_nvar+1 )THEN
+                        IF( il_ind < td_file%i_nvar )THEN
                            ! variable with more dimension than new variable
                            td_file%t_var( il_ind+1 : td_file%i_nvar+1 ) = &
@@ -905,7 +893,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date February, 2015 
-   !> - define local variable structure to avoid mistake with pointer
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -921,5 +907,4 @@
       ! local variable
       INTEGER(i4)       :: il_ind
-      TYPE(TVAR)        :: tl_var
       !----------------------------------------------------------------
 
@@ -943,10 +928,9 @@
             IF( il_ind /= 0 )THEN
    
-               tl_var=var_copy(td_file%t_var(il_ind))
-               CALL file_del_var(td_file, tl_var)
+               CALL file_del_var(td_file, td_file%t_var(il_ind))
 
             ELSE
 
-               CALL logger_debug( &
+               CALL logger_warn( &
                &  " FILE DEL VAR NAME: there is no variable with name or "//&
                &  "standard name "//TRIM(cd_name)//" in file "//&
@@ -969,5 +953,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[inout] td_file   file structure
@@ -1112,5 +1096,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1147,5 +1131,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1263,8 +1247,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date February, 2015 
-   !> - define local attribute structure to avoid mistake
-   !> with pointer
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1280,5 +1261,4 @@
       ! local variable
       INTEGER(i4)       :: il_ind
-      TYPE(TATT)        :: tl_att
       !----------------------------------------------------------------
 
@@ -1302,10 +1282,9 @@
             IF( il_ind /= 0 )THEN
    
-               tl_att=att_copy(td_file%t_att(il_ind))
-               CALL file_del_att(td_file, tl_att)
+               CALL file_del_att(td_file, td_file%t_att(il_ind))
 
             ELSE
 
-               CALL logger_debug( &
+               CALL logger_warn( &
                &  " FILE DEL ATT NAME: there is no attribute with name "//&
                &  TRIM(cd_name)//" in file "//TRIM(td_file%c_name))
@@ -1326,5 +1305,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1424,5 +1403,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1465,5 +1444,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !> @date September, 2014
    !> - do not reorder dimension, before put in file
@@ -1550,5 +1529,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1630,5 +1609,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_file   file structure
@@ -1673,5 +1652,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -1738,5 +1717,5 @@
          WRITE(*,'(/a)') " File variable"
          DO ji=1,td_file%i_nvar
-            CALL var_print(td_file%t_var(ji),.FALSE.)
+            CALL var_print(td_file%t_var(ji))!,.FALSE.)
          ENDDO
       ENDIF
@@ -1751,5 +1730,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_file   file structure
@@ -1790,10 +1769,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
-   !> @date February, 2015 
-   !> - add case to not return date (yyyymmdd) at the end of filename
-   !> @date February, 2015 
-   !> - add case to not return release number
-   !> we assume release number only on one digit (ex : file_v3.5.nc)
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_file   file name (without suffix)
@@ -1829,10 +1803,4 @@
          IF( .NOT. fct_is_num(file__get_number(2:)) )THEN
             file__get_number=''
-         ELSEIF( LEN(TRIM(file__get_number))-1 == 8 )THEN
-            ! date case yyyymmdd
-            file__get_number=''
-         ELSEIF( LEN(TRIM(file__get_number))-1 == 1 )THEN
-            ! release number case 
-            file__get_number=''
          ENDIF
       ELSE
@@ -1848,5 +1816,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -1911,5 +1879,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -1938,5 +1906,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   file structure
@@ -2051,5 +2019,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] td_file   array of file structure
@@ -2089,5 +2057,5 @@
    !> 
    !> @author J.Paul
-   !> @date September, 2014 - Initial Version
+   !> - September, 2014- Initial Version
    !
    !> @param[in] td_file   array of file 
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/filter.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/filter.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/filter.f90	(revision 10251)
@@ -18,6 +18,5 @@
 !>          - rad > cutoff : @f$ filter=0 @f$               
 !>       - 'blackman'
-!>          - rad < cutoff : @f$ filter=0.42 + 0.5*COS(\pi*\frac{rad}{cutoff}) + 
-!>                                      0.08*COS(2\pi*\frac{rad}{cutoff}) @f$
+!>          - rad < cutoff : @f$ filter=0.42 + 0.5*COS(\pi*\frac{rad}{cutoff}) + 0.08*COS(2\pi*\frac{rad}{cutoff}) @f$
 !>          - rad > cutoff : @f$ filter=0 @f$
 !>       - 'gauss'
@@ -30,10 +29,7 @@
 !>
 !>    td_var\%c_filter(2) string character is the number of turn to be done<br/>
-!>    td_var\%c_filter(3) string character is the cut-off frequency 
-! >                       (count in number of mesh grid)<br/>
-!>    td_var\%c_filter(4) string character is the halo radius 
-!>                        (count in number of mesh grid)<br/>
-!>    td_var\%c_filter(5) string character is the alpha parameter 
-!>                        (for gauss and butterworth method)<br/>
+!>    td_var\%c_filter(3) string character is the cut-off frequency (count in number of mesh grid)<br/>
+!>    td_var\%c_filter(4) string character is the halo radius (count in number of mesh grid)<br/>
+!>    td_var\%c_filter(5) string character is the alpha parameter (for gauss and butterworth method)<br/>
 !>    
 !>    @note Filter method could be specify for each variable in namelist _namvar_,
@@ -44,6 +40,5 @@
 !>    The number of turn is specify using '*' separator.<br/>
 !>    Example:
-!>       - cn_varinfo='varname1:flt=2*hamming(@f$cutoff@f$,@f$radius@f$)', 
-!>                    'varname2:flt=gauss(@f$cutoff@f$,@f$radius@f$,@f$\alpha@f$)'
+!>       - cn_varinfo='varname1:2*hamming(@f$cutoff@f$,@f$radius@f$)', 'varname2:gauss(@f$cutoff@f$,@f$radius@f$,@f$\alpha@f$)'
 !>
 !>    to filter variable value:<br/>
@@ -111,5 +106,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_var variable structure 
@@ -255,5 +250,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] td_var variable 
@@ -301,5 +296,5 @@
 
       !3-extrapolate
-      CALL extrap_fill_value( td_var ) !, id_iext=id_radius, id_jext=id_radius )
+      CALL extrap_fill_value( td_var, id_iext=id_radius, id_jext=id_radius )
 
       !4-filtering
@@ -346,5 +341,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] dd_value  array of value to be filtered 
@@ -398,5 +393,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] dd_value  array of value to be filtered 
@@ -444,5 +439,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] dd_value  array of value to be filtered 
@@ -487,5 +482,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[inout] dd_value  array of value to be filtered 
@@ -542,5 +537,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - Nov, 2013- Initial Version
    !
    !> @param[inout] dd_value  array of value to be filtered 
@@ -595,5 +590,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name   filter name
@@ -654,5 +649,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_name   filter name
@@ -700,5 +695,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] dd_cutoff cut-off frequency
@@ -754,5 +749,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] dd_cutoff cut-off frequency
@@ -813,5 +808,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] dd_cutoff cut-off frequency
@@ -868,5 +863,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] dd_cutoff cut-off frequency
@@ -927,5 +922,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] dd_cutoff cut-off frequency
@@ -983,5 +978,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[in] dd_cutoff cut-off frequency
@@ -1043,5 +1038,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[in] dd_cutoff cut-off frequency
@@ -1095,5 +1090,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[in] dd_cutoff cut-off frequency
@@ -1151,5 +1146,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[in] dd_cutoff cut-off frequency
@@ -1203,5 +1198,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[in] dd_cutoff cut-off frequency
Index: /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/function.f90
===================================================================
--- /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/function.f90	(revision 10250)
+++ /branches/UKMO/dev_r5518_AMM15_package/NEMOGCM/TOOLS/SIREN/src/function.f90	(revision 10251)
@@ -51,9 +51,4 @@
 !> @endcode
 !>
-!>  to check if character is real
-!> @code
-!>  ll_is_real=fct_is_real(cd_var)
-!> @endcode
-!>
 !>  to split string into substring and return one of the element:<br/>  
 !> @code
@@ -94,6 +89,5 @@
 ! REVISION HISTORY:
 !> @date November, 2013 - Initial Version
-!> @date September, 2014 
-!> - add header
+!> @date September, 2014 - add header
 !
 !> @note Software governed by the CeCILL licence     (NEMOGCM/NEMO_CeCILL.txt)
@@ -112,5 +106,4 @@
    PUBLIC :: fct_lower    !< convert character from upper to lower case
    PUBLIC :: fct_is_num   !< check if character is numeric
-   PUBLIC :: fct_is_real  !< check if character is real
    PUBLIC :: fct_split    !< split string into substring
    PUBLIC :: fct_basename !< return basename (name without path)
@@ -160,5 +153,5 @@
    ! 
    !> @author J.Paul 
-   !> @date September, 2014 - Initial Version 
+   !> - September, 2014- Initial Version 
    ! 
    !> @param[in] cd_char   string character
@@ -184,5 +177,5 @@
    ! 
    !> @author J.Paul 
-   !> @date September, 2014 - Initial Version 
+   !> - September, 2014- Initial Version 
    ! 
    !> @param[in] cd_char   string character
@@ -208,5 +201,5 @@
    ! 
    !> @author J.Paul 
-   !> @date November, 2013 - Initial Version 
+   !> - Nov, 2013- Initial Version 
    ! 
    !> @param[in] cd_char   string character
@@ -232,5 +225,5 @@
    ! 
    !> @author J.Paul 
-   !> @date November, 2013 - Initial Version 
+   !> - November, 2013- Initial Version 
    ! 
    !> @param[in] cd_char   string character
@@ -256,5 +249,5 @@
    ! 
    !> @author J.Paul 
-   !> @date November, 2013 - Initial Version 
+   !> - November, 2013- Initial Version 
    ! 
    !> @param[in] cd_char   string character
@@ -280,5 +273,5 @@
    !>
    !> @author J.Paul 
-   !> @date November, 2013 - Initial Version 
+   !> - November, 2013- Initial Version 
    !>
    !> @param[in] cd_char   string character
@@ -304,5 +297,5 @@
    !>
    !> @author J.Paul 
-   !> @date November, 2013 - Initial Version 
+   !> - November, 2013- Initial Version 
    !>
    !> @param[in] cd_char   string character
@@ -328,5 +321,5 @@
    !>
    !> @author J.Paul 
-   !> @date November, 2013 - Initial Version 
+   !> - November, 2013- Initial Version 
    !>
    !> @return file id 
@@ -351,5 +344,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !>
    !> @param[in] id_status
@@ -372,5 +365,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2014 - Initial Version
+   !> - November, 2014- Initial Version
    !>
    !> @param[in] cd_msg optional message to be added
@@ -394,5 +387,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] ld_var logical variable
@@ -416,5 +409,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] bd_var integer(1) variable
@@ -438,5 +431,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] sd_var integer(2) variable
@@ -460,5 +453,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] id_var integer(4) variable
@@ -482,5 +475,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] kd_var integer(8) variable
@@ -504,5 +497,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] rd_var real(4) variable
@@ -526,5 +519,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] dd_var real(8) variable
@@ -551,5 +544,5 @@
    !>
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_arr array of character
@@ -597,5 +590,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_var character
@@ -654,5 +647,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_var character
@@ -704,5 +697,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_var character
@@ -730,67 +723,4 @@
    END FUNCTION fct_is_num
    !-------------------------------------------------------------------
-   !> @brief This function check if character is real number.
-   !
-   !> @details
-   !> it allows exponantial and decimal number
-   !> exemple :  1e6, 2.3
-   !>
-   !> @author J.Paul
-   !> @date June, 2015 - Initial Version
-   !
-   !> @param[in] cd_var character
-   !> @return character is numeric
-   !-------------------------------------------------------------------
-   PURE LOGICAL FUNCTION fct_is_real(cd_var)
-      IMPLICIT NONE
-      ! Argument      
-      CHARACTER(LEN=*), INTENT(IN) :: cd_var
-   
-      ! local variables
-      LOGICAL :: ll_exp
-      LOGICAL :: ll_dec
-   
-      ! loop indices
-      INTEGER :: ji
-      !----------------------------------------------------------------
-   
-      ll_exp=.TRUE.
-      ll_dec=.FALSE.
-      DO ji=1,LEN(TRIM(cd_var))
-         IF( IACHAR(cd_var(ji:ji)) >= IACHAR('0') .AND. &
-         &   IACHAR(cd_var(ji:ji)) <= IACHAR('9') )THEN
-   
-            fct_is_real=.TRUE.
-            ll_exp=.FALSE.
-      
-         ELSEIF( TRIM(cd_var(ji:ji))=='e' )THEN
-         
-            IF( ll_exp .OR. ji== LEN(TRIM(cd_var)) )THEN
-               fct_is_real=.FALSE.
-               EXIT
-            ELSE 
-               ll_exp=.TRUE.
-            ENDIF
-   
-         ELSEIF( TRIM(cd_var(ji:ji))=='.' )THEN
-   
-            IF( ll_dec )THEN
-               fct_is_real=.FALSE.
-               EXIT
-            ELSE
-               fct_is_real=.TRUE.
-               ll_dec=.TRUE.
-            ENDIF
-   
-         ELSE
-   
-            fct_is_real=.FALSE.
-            EXIT
-   
-         ENDIF
-      ENDDO
-   
-   END FUNCTION fct_is_real
-   !-------------------------------------------------------------------
    !> @brief This function split string of character 
    !> using separator character, by default '|',
@@ -798,5 +728,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_string string of character
@@ -878,5 +808,5 @@
    !
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_string string of character
@@ -943,5 +873,5 @@
    !> Optionally you could specify another separator.
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_string filename
@@ -984,5 +914,5 @@
    !> Optionally you could specify another separator.
    !> @author J.Paul
-   !> @date November, 2013 - Initial Version
+   !> - November, 2013- Initial Version
    !
    !> @param[in] cd_string filename
